// Template for SDCC 8051 C Language

#include <8051.h> // Definitions of registers, SFRs and Bits

#define KEYPAD_PORT	P1
#define KEYPAD_RDY	P1_4
#define LED_PORT	P2

// ISR Prototypes ===================================================
void INT0_ISR(void)	interrupt 0; // ISR for External Interrupt 0
void T0_ISR(void)	interrupt 1; // ISR for Timer0/Counter0 Overflow
void INT1_ISR(void)	interrupt 2; // ISR for External Interrupt 1
void T1_ISR(void)	interrupt 3; // ISR for Timer1/Counter1 Overflow
void UART_ISR(void)	interrupt 4; // ISR for UART Interrupt

void main(void)
{
while(1==1)
	{
    if(KEYPAD_RDY==1)
    	{
        ACC=KEYPAD_PORT;
        ACC=ACC&0x0F;
        ACC=~ACC;
        LED_PORT=ACC;
        while(KEYPAD_RDY==1);
    	}
	}
}

void INT0_ISR(void)	interrupt 0
{}
void T0_ISR(void)	interrupt 1
{}
void INT1_ISR(void)	interrupt 2
{}
void T1_ISR(void)	interrupt 3
{}
void UART_ISR(void) interrupt 4
{}

